libkvkontakte-devel-5.0.0-lp150.2.1.x86_64.rpm


Advertisement

Description

libkvkontakte-devel - Development file for libkvkontakte

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE KDE Extra all
Package name libkvkontakte-devel
Package version 5.0.0
Package release lp150.2.1
Package architecture x86_64
Package type rpm
Installed size 107.56 KB
Download size 33.99 KB
Official Mirror ftp.gwdg.de
This package contains development file for libkvkontakte.

Alternatives

Package Version Architecture Repository
libkvkontakte-devel-5.0.0-lp150.1.8.x86_64.rpm 5.0.0 x86_64 openSUSE Oss
libkvkontakte-devel - - -

Requires

Name Value
libKF5Vkontakte2 = 5.0.0

Provides

Name Value
cmake(KF5Vkontakte) = 5.0.0
libkvkontakte-devel = 5.0.0-lp150.2.1
libkvkontakte-devel(x86-64) = 5.0.0-lp150.2.1

Download

Type URL
Binary Package libkvkontakte-devel-5.0.0-lp150.2.1.x86_64.rpm
Source Package libkvkontakte-5.0.0-lp150.2.1.src.rpm

Install Howto

  1. Add the openSUSE KDE Extra repository:
    # zypper addrepo http://ftp.gwdg.de/pub/opensuse/repositories/KDE:/Extra/openSUSE_Leap_15.0/ opensuse-kde-extra
  2. Install libkvkontakte-devel rpm package:
    # zypper install libkvkontakte-devel

Files

Path
/usr/include/KF5/kf5vkontakte_version.h
/usr/include/KF5/Vkontakte/AlbumInfo
/usr/include/KF5/Vkontakte/AlbumListJob
/usr/include/KF5/Vkontakte/AppPermissions
/usr/include/KF5/Vkontakte/CreateAlbumJob
/usr/include/KF5/Vkontakte/DeleteAlbumJob
/usr/include/KF5/Vkontakte/EditAlbumJob
/usr/include/KF5/Vkontakte/PhotoInfo
/usr/include/KF5/Vkontakte/UploadPhotosJob
/usr/include/KF5/Vkontakte/UserInfo
/usr/include/KF5/Vkontakte/UserInfoJob
/usr/include/KF5/Vkontakte/VkApi
/usr/include/KF5/Vkontakte/albuminfo.h
/usr/include/KF5/Vkontakte/albumlistjob.h
/usr/include/KF5/Vkontakte/apppermissions.h
/usr/include/KF5/Vkontakte/createalbumjob.h
/usr/include/KF5/Vkontakte/deletealbumjob.h
/usr/include/KF5/Vkontakte/editalbumjob.h
/usr/include/KF5/Vkontakte/libkvkontakte_export.h
/usr/include/KF5/Vkontakte/photoinfo.h
/usr/include/KF5/Vkontakte/uploadphotosjob.h
/usr/include/KF5/Vkontakte/userinfo.h
/usr/include/KF5/Vkontakte/userinfojob.h
/usr/include/KF5/Vkontakte/vkapi.h
/usr/include/KF5/Vkontakte/vkontaktejobs.h
/usr/lib64/libKF5Vkontakte.so
/usr/lib64/cmake/KF5Vkontakte/KF5VkontakteConfig.cmake
/usr/lib64/cmake/KF5Vkontakte/KF5VkontakteConfigVersion.cmake
/usr/lib64/cmake/KF5Vkontakte/KF5VkontakteTargets-none.cmake
/usr/lib64/cmake/KF5Vkontakte/KF5VkontakteTargets.cmake
/usr/share/doc/packages/libkvkontakte-devel/COPYING
/usr/share/doc/packages/libkvkontakte-devel/COPYING-CMAKE-SCRIPTS
/usr/share/doc/packages/libkvkontakte-devel/COPYING.LGPL-2
/usr/share/doc/packages/libkvkontakte-devel/COPYING.LIB
/usr/share/doc/packages/libkvkontakte-devel/NEWS
/usr/share/doc/packages/libkvkontakte-devel/README

Changelog

2017-08-31 - wbauer@tmo.at
- Update to Qt5/KF5-based version 5.0.0:
* Bugfixes
- Drop cmake_fix.patch, merged upstream
2015-10-05 - asterios.dramis@gmail.com
- Update to version 4.12.0:
NEW FEATURES:
* Add new class VkApi to manage authentication
OTHER CHANGES:
* Relicensed all the code to LGPLv2.1+
* Use method account.getAppPermissions instead of deprecated
method getUserSettings
* Add enum AppPermissions::Value for application permissions, to
replace string lists
* VkontakteJob: Do not pass empty auth token to VK API
* autotests: Request only necessary VK app permissions in each
unit test
* autotests: Prefer QList::at(0) over QList::first() to avoid
deep copying
- Added a patch (cmake_fix.patch) to fix cmake error about
LINK_INTERFACE_LIBRARIES properties and policy CMP0022.
2015-05-26 - tittiatcoke@gmail.com
- Update to version 4.11.0
Bugfixes:
- DigiKam crash when vkontakte plugin failed to upload images
(bko#345358)
OTHER CHANGES:
- Deprecate class GetVariableJob, please use UserInfoJob
instead
- Add unit tests for UserInfoJob and UserInfoFullJob
- Add unit tests for job classes working with photo albums
- NotesListJob: Fix setting of user ID with current
VK API version
- Add unit tests for job classes working with notes
- Follow VK API changes (renamed methods to
database.get[...]ById)
- Deprecate unused classes GetInfoJob and GroupListJob
- VkontakteJobs: Make more members private
- Retry HTTP request after a delay on error "Too many requests
per second"
- Rewrite HTTP multipart request using QHttpMultiPart
- UserInfoJob: Use VK API method users.get instead of getProfiles
- Use vk.com instead of vkontakte.ru everywhere
- Drop the separate COPYING* files as that upstream now includes
the correct licensing files
2011-11-24 - asterios.dramis@gmail.com
- Changed License to GPL-2.0+ since some files compiled in the lib are GPL
(bnc#730195).
- Added GPL and LGPL license copies.
2011-10-16 - asterios.dramis@gmail.com
- Initial release (version 1.0.0).

See Also

Package Description
libkvkontakte-lang-5.0.0-lp150.2.1.noarch.rpm Languages for package libkvkontakte
liblensfun1-0.3.2-lp150.28.1.x86_64.rpm Library files for lensfun/lensfun-devel
libloudmouth-1-0-1.5.3-lp150.2.1.x86_64.rpm Jabber Client Library Written in C
libmediawiki-devel-5.37.0-lp150.7.1.x86_64.rpm Development files for libmediawiki
libmuparser2_2_5-2.2.5-lp150.27.1.x86_64.rpm Library to evaluate strings as mathematical functions
libopencv3_4-3.4.1-lp150.117.2.x86_64.rpm Libraries to use OpenCV computer vision
libowncloudsync-devel-2.5.0-lp150.38.1.x86_64.rpm Development files for the ownCloud synchronization library
libowncloudsync0-2.5.0-lp150.38.1.x86_64.rpm The ownCloud synchronization library
libpublictransporthelper-devel-1389412803-lp150.28.1.x86_64.rpm Development files for plasmoid-publictransport
libpublictransporthelper11-1389412803-lp150.28.1.x86_64.rpm Libraries needed by public transport plasmoids
libqaccessibilityclient0-0.1.0_09022014-lp150.9.1.x86_64.rpm Headers for QAccessibilityClient library
libqtcurve-cairo1-1.9.0-lp150.3.1.x86_64.rpm QtCurve style for Qt and GTK+
libqtcurve-utils2-1.9.0-lp150.3.1.x86_64.rpm QtCurve style for Qt and GTK+
libqtkeychain1-0.8.0-lp150.14.1.x86_64.rpm Platform-independent Qt API for storing passwords securely
libtag-extras1-1.0.1-lp150.26.1.x86_64.rpm Extra plugins for TagLib
Advertisement
Advertisement